Returns all configured webhooks.

GEThttps://api.awork.com/api/v1/webhooks
GET https://api.awork.com/api/v1/webhooks

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

namestringRequired
minLength: 1

The name of this webhook event.

uristringRequired
minLength: 1

The URI to call.

languagestring or nullOptional

The language of the web hook message that will be sent to the receiver. Not required for custom web hooks.

eventsstringRequired
minLength: 1

The event(s) that trigger the web hook. A comma-separated list of events that trigger the webhook. The allowed events depend on the webhook type. For type 'custom': retrieve the list of allowed events from '/webhooks/eventTypes' For type 'slack': retrieve the list of allowed events from '/webhooks/eventTypes/slack'

isActivebooleanRequired

Whether the web hook is currently active.

onlyTriggerForMainEntityChangesbooleanOptional

Whether to only send events for main entity changes and not for nested entities if the webhook is for a model.

authenticationTypestringRequired
minLength: 1

The authentication type to use when calling the URI. Can be 'none', 'header'.

authenticationstring or nullOptional

The authentication value to use when calling the URI. Should be 'key=value'. In case of header authentication, this should be 'headername=headervalue'. Only required when the AuthenticationType is anything other than 'none'.

idstringOptional
format: uuid

The id of the webhook config.

receiverTypestring or nullOptional

The type of the web hook. Can be 'custom', 'slack'.

lastFailureReasonstring or nullOptional

The most recent failure reason.

createdOnstringOptional
format: date-time

The date this webhook config was created.

createdBystringOptional
format: uuid

The id of the user who created this webhook config.

updatedOnstringOptional
format: date-time

The date this webhook config was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this webhook config.

Search documentation